## ros-indigo-bondcpp 1.7.20

=== debian/changelog ===
ros-indigo-bondcpp (1.7.20-0trusty) trusty; urgency=high

  * fix package.xml to comply with schema (#31 <https://github.com/ros/bond_core/issues/31>)
  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * remove trailing whitespaces (#26 <https://github.com/ros/bond_core/issues/26>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 17 Dec 2017 23:00:00 -0000

ros-indigo-bondcpp (1.7.19-0trusty) trusty; urgency=high

  * fix unused var warning
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 26 Mar 2017 22:00:00 -0000

ros-indigo-bondcpp (1.7.18-0trusty) trusty; urgency=high

  * fix -isystem /usr/include build breakage in gcc6
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 23 Oct 2016 22:00:00 -0000

ros-indigo-bondcpp (1.7.17-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Mar 2016 23:00:00 -0000

ros-indigo-bondcpp (1.7.16-0trusty) trusty; urgency=high

  * Fix depedency version
  * Contributors: Esteve Fernandez

 -- Esteve Fernandez <esteve@osrfoundation.org>  Wed, 29 Oct 2014 23:00:00 -0000

ros-indigo-bondcpp (1.7.15-0trusty) trusty; urgency=high

  * Added version dependency.
  * Removed redundant include_directories
  * Added cmake_modules in alphabetical order
  * Use FindUUID.cmake from cmake-modules to find the UUID libraries #8 <https://github.com/ros/bond_core/pull/8>
  * Contributors: Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Oct 2014 23:00:00 -0000

ros-indigo-bondcpp (1.7.14-0trusty) trusty; urgency=high

  * Update maintainer field
  * Contributors: Esteve Fernandez, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 07 May 2014 22:00:00 -0000

ros-indigo-bondcpp (1.7.13-0trusty) trusty; urgency=high

  * Use c++ style reinterpret_cast rather than c style cast
  * use rpc for uuid on windows
  * add missing archive/library/runtime destinations for library
  * Contributors: David Hodo, Dirk Thomas, William Woodall

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 20 Aug 2013 22:00:00 -0000

ros-indigo-bondcpp (1.7.12-0trusty) trusty; urgency=high

  * fix dependency on exported targets if the variable is empty
  * use EXPORTED_TARGETS variable instead of explicit target names
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 05 Jun 2013 22:00:00 -0000

ros-indigo-bondcpp (1.7.11-0trusty) trusty; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 12 Mar 2013 23:00:00 -0000

ros-indigo-bondcpp (1.7.10-0trusty) trusty; urgency=high

  * add missing link library uuid #6 <https://github.com/ros/bond_core/issues/6>
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sat, 12 Jan 2013 23:00:00 -0000

ros-indigo-bondcpp (1.7.9-0trusty) trusty; urgency=high

  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 26 Dec 2012 23:00:00 -0000

ros-indigo-bondcpp (1.7.8-0trusty) trusty; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 12 Dec 2012 23:00:00 -0000

ros-indigo-bondcpp (1.7.7-0trusty) trusty; urgency=high

  * Added missing link against catkin_LIBRARIES
  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * updated catkin_package(DEPENDS)
  * Contributors: Dirk Thomas, William Woodall

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 05 Dec 2012 23:00:00 -0000

ros-indigo-bondcpp (1.7.6-0trusty) trusty; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 29 Oct 2012 23:00:00 -0000

ros-indigo-bondcpp (1.7.5-0trusty) trusty; urgency=high

  * clean up package.xml files
  * add missing target dependency to gencpp
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 26 Oct 2012 22:00:00 -0000

ros-indigo-bondcpp (1.7.4-0trusty) trusty; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 05 Oct 2012 22:00:00 -0000

ros-indigo-bondcpp (1.7.3-0trusty) trusty; urgency=high

  * fix package building issues
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 01 Oct 2012 22:19:00 -0000

ros-indigo-bondcpp (1.7.2-0trusty) trusty; urgency=high

  * add the missing catkin dependency
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 01 Oct 2012 22:06:00 -0000

ros-indigo-bondcpp (1.7.1-0trusty) trusty; urgency=high

  * add missing dependencies
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 01 Oct 2012 17:00:00 -0000

ros-indigo-bondcpp (1.7.0-0trusty) trusty; urgency=high

  * catkinize bond
  * catkinize the package and bump to 1.7.0 even though it is not tagged yet
  * add link flag for OSX
  * removed spurious reference to libroslib
  * bondcpp now explicitly links against the ros library.  #5334 <https://github.com/ros/bond_core/issues/5334>
  * Changed ros::Time/Duration to ros::WallTime/WallDuration so Bond still works when time stops.  Fixes #5035 <https://github.com/ros/bond_core/issues/5035>
  * Fixed destruction bug: doesn't destroy things if the bond was never started.
  * Can now set a bond's callback queue
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4037081
  * Modified bond's state machine to handle "alive" messages from the sibling when already dead.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036189
  * Added global "bond_disable_heartbeat_timeout" parameter
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036106

